> For the complete documentation index, see [llms.txt](https://docs.deltastream.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.deltastream.io/reference/sql-syntax/ddl/drop-security-integration.md).

# DROP SECURITY INTEGRATION

## Syntax <a href="#synopsis" id="synopsis"></a>

```sql
DROP SECURITY INTEGRATION security_integration_name;
```

## Description <a href="#description" id="description"></a>

Drops a security integration from the organization. Only a role with the MANAGE\_MEMBERS privilege can drop a security integration.

### Arguments

#### **security\_integration\_name**

Specifies the name of the new security integration. If the name is case-sensitive, you must wrap it in double quotes; otherwise, the system uses the lower case name.

## Examples <a href="#example" id="example"></a>

#### Drop a security integration

The following drops the security integration named `okta`:

```shell
<no-db>/<no-store># LIST SECURITY INTEGRATIONS;
+-------+-------+-------------------------------+-------------------------------+
|  Name |  Type |  Created At                   |  Updated At                   |
+=======+=======+===============================+===============================+
| okta  | scim  | 2024-07-15 23:17:14 +0000 UTC | 2024-07-15 23:17:14 +0000 UTC |
+-------+-------+-------------------------------+-------------------------------+
<no-db>/<no-store># DROP SECURITY INTEGRATION "okta";
+----------------------+------------+------------+------------------------------------------+
|  Type                |  Name      |  Command   |  Summary                                 |
+======================+============+============+==========================================+
| security integration | okta       | DROP       | security integration okta was            |
|                      |            |            | successfully dropped                     |
+----------------------+------------+------------+------------------------------------------+
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/ddl/drop-security-integration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
